Get third-party email service configuration
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get third-party email service configuration
Method name
ManagementClient.getEmailProvider
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
Request response
Type: EmailProviderRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a EmailProviderDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"enabled": true,
"type": "custom",
"smtpConfig": {
"smtp_host": "smtp.example.com",
"smtp_port": 465,
"sender": "test",
"senderPass": "passw0rd",
"secure": true
},
"sendGridConfig": {
"sender": "test",
"apikey": "xxxxxxxxxx"
},
"aliExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
},
"tencentExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
}
}
}Data Structure
EmailProviderDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether to enable, if not enabled, the built-in mail service of GenAuth will be used by default | true |
| type | string | no | Third-party mail service provider type: - custom: custom SMTP Mail service- ali: Ali Enterprise Mailbox- qq: Tencent Enterprise Mailbox- sendgrid: SendGrid Mail Service | ali |
| smtpConfig | No | SMTP mail service configuration Nested type: <a SMTPEmailProviderConfig. | ||
| sendGridConfig | No | SendGrid mail service configuration Nested type: <a SendGridEmailProviderConfig. | ||
| aliExmailConfig | No | Ali enterprise mail service configuration Nested type: <a AliExmailEmailProviderConfig. | ||
| tencentExmailConfig | No | Tencent enterprise mail service configuration Nested type: <a TencentExmailEmailProviderConfig. |
SMTPEmailProviderConfig
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| smtp_host | string | yes | SMTP address | smtp.example.com |
| smtp_port | number | yes | SMTP port | 465 |
| sender | string | yes | Username | test |
| senderPass | string | yes | Password | passw0rd |
| secure | boolean | yes | Enable SSL | true |
SendGridEmailProviderConfig
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| sender | string | Yes | Username | test |
| apikey | string | Yes | SendGrid API Key, see the SendGrid documentation for details. | xxxxxxxxxx |
AliExmailEmailProviderConfig
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| sender | string | Yes | Username | test |
| senderPass | string | Yes | Password | passw0rd |
TencentExmailEmailProviderConfig
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |